# standard imports
import unittest
import json
import os

# external imports
from jsonschema import validate as json_validate
from rdflib import Graph
#from hypothesis import given, strategies

# local imports
from cic_schema import Cert

test_dir = os.path.realpath(os.path.dirname(__file__))
testdata_dir = os.path.join(test_dir, 'testdata')
data_dir = os.path.join(test_dir, '..', 'cic_schema', 'data')


class TestNft(unittest.TestCase):

    def setUp(self):
        fp = os.path.join(testdata_dir, 'test_voucher.rdf')
        self.graph_voucher = Cert(fp)
        fp = os.path.join(testdata_dir, 'test_tx.rdf')
        self.graph_tx = Cert(fp)


    def test_simplest(self):
        print(self.graph_tx.export())


if __name__ == '__main__':
    unittest.main()
